std::future_error(3)

NAME
std::future_error -

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions
future_error (error_code __ec)
const error_code & code () const noexcept
virtual const char * what () const noexcept

Detailed Description

Exception type thrown by futures.

Definition at line 94 of file future.

Member Function Documentation

  virtual const char* std::future_error::what () const [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::logic_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.